@echo OFF
rem  * *******************************************************************
rem  *               JCLALTE2.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create a Sequential Data Set on disk using ECHO Command.
rem  * Author - SimoTime Technologies
rem  * Date   = January 24, 1996
rem  *
rem  * The first job step (DeleteTEXT) will delete any previously created
rem  * files.
rem  * The second job step (CreateTEXT) will create a new ASCII/Text file.
rem  * The third step will convert the Line Sequential file to a Record
rem  * Sequential file.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
     set CmdName=JCLALTE2
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%, User is %USERNAME%"
     call SimoNOTE "StepInfo Delete previously created files"
     set JCLALTT1=%BaseLib1%\JCL\JCLALTJ1.JCL
rem  *
rem  * *******************************************************************
rem  * Step 1 of 1, Create and populate a new ASCII/TEXT file...
rem  *
     call SimoNOTE "StepInfo Create an ASCII/Text File"
     if exist %JCLALTT1% del %JCLALTT1%
rem  *   :....1....:....2....:....3....:....4....:....5....:....6....:....7.
echo //JCLALTJ1 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=0                     >>%JCLALTT1%
echo //*                                                                    >>%JCLALTT1%
echo        ++INCLUDE JCLALTI1                                              >>%JCLALTT1%
echo //*                                                                    >>%JCLALTT1%
echo //STEP0001 EXEC  PGM=IEFBR14                                           >>%JCLALTT1%
echo //*                                                                    >>%JCLALTT1%
echo        ++INCLUDE JCLALTI2                                              >>%JCLALTT1%
     if exist %JCLALTT1% call SimoNOTE "DataMake %JCLALTT1%"
     if not exist %JCLALTT1% set JobStatus=9001
     if not %JobStatus% == 0000 goto :EojNok
rem  *
:EojAok
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNok
     call SimoNOTE "NOTE ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
:End
     if not "%1" == "nopause" pause
